Create resource
curl --request POST \
--url https://api.illuminalab.com/v1/resources/ \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"id": "<string>",
"metadata": {}
}
'import requests
url = "https://api.illuminalab.com/v1/resources/"
payload = {
"id": "<string>",
"metadata": {}
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', metadata: {}})
};
fetch('https://api.illuminalab.com/v1/resources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"id": "<string>",
"team_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"metadata": "<string>",
"working_memory": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}resources
Create resource
Create a new resource with a client-provided ID and optional metadata. The ID must be at least 10 characters and cannot contain whitespace. Metadata is a free-form JSON object.
POST
/
v1
/
resources
/
Create resource
Headers
Pattern:
^Bearer [\s\S]{0,}$Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200
The resource object
Show child attributes
Show child attributes
⌘I